apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

  # replace `NN` with your assigned student number
commonLabels:
  app: flask-helloworld-99-staging

  # replace `N` with your assigned student number (no leading 0)
commonAnnotations:
  kubernetes.io/ingress.global-static-ip-name: flask-helloworld-99-ip-staging
  
nameSuffix: -staging

resources:
- ../../base

# replace `NN` with your assigned student number
images:
- name: devsecopslab/flask-helloworld
  newName: devsecopslab/flask-helloworld
  newTag: eaab0ef6
- name: devsecopslab/flask-helloworld-99
  newName: devsecopslab/flask-helloworld-99
  newTag: 9f2d69a5
- name: devsecopslab/flask-helloworld-999
  newName: devsecopslab/flask-helloworld-99
  newTag: 0e8bbb77
